### GET /v1/workspaces Source: https://cloud.ibm.com/apidocs/power-cloud.json API endpoint for GET /v1/workspaces ```markdown ### Responses #### 200 - OK **Workspaces** - **workspaces** (array (Workspace)) (required): The list of available workspaces Array items: - **capabilities** (object) (required): Workspace Capabilities - **details** (object) (required): The Workspace information - **creationDate** (string (date-time)) (required): Workspace creation date - **crn** (string) (required): The Workspace crn - **href** (string): Link to Workspace Resource - **networkSecurityGroups** (object): The Workspace Network Security Groups information - **state** (string (active|error|configuring|removing|inactive|inaccessible)) (required): The state of a Network Security Groups configuration ("active"|"error"|"configuring"|"removing"|"inactive"|"inaccessible") - **powerEdgeRouter** (object): The Workspace Power Edge Router information - **migrationStatus** (string (intializing|migrating|deleted|completed)): The migration status of a Power Edge Router ("intializing"|"migrating"|"deleted"|"completed") - **state** (string (active|error|warning|configuring|removing|inactive|user-validation|inaccessible)) (required): The state of a Power Edge Router ("active"|"error"|"warning"|"configuring"|"removing"|"inactive"|"user-validation"|"inaccessible") - **type** (string (automated|manual)) (required): The Power Edge Router type ("automated"|"manual") - **id** (string) (required): Workspace ID - **location** (object) (required): The Workspace location - **region** (string) (required): The Workspace location region zone - **type** (string): The Workspace location region type - **url** (string): The Workspace location region url - **name** (string) (required): The Workspace name - **status** (string) (required): The Workspace status - **type** (string (off-premises|on-premises)) (required): The Workspace type ("off-premises"|"on-premises") #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 429 - Too Many Requests **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/v1/workspaces" ``` ``` -------------------------------- ### POST /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}/start Source: https://cloud.ibm.com/apidocs/power-cloud.json Start action starts the consistency group to initiate the flash copy. ```markdown ### Responses #### 200 - OK **VolumesClone** - **action** (string): Current action performed for the volumes-clone request - **creationDate** (string (date-time)): Creation Date - **failureMessage** (string): Failure reason for a failed volumes-clone request - **lastUpdateDate** (string (date-time)): Last Update Date - **name** (string): Name assigned to a volumes-clone request - **percentComplete** (integer) (required): The percent completion for the current action - **status** (string): Current status of the volumes-clone request - **volumesCloneID** (string): ID assigned to a volumes-clone request #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}/start" ``` ``` -------------------------------- ### Schema: VolumeGroupActionStart Source: https://cloud.ibm.com/apidocs/power-cloud.json Performs start action on a volume group ```markdown ## Schema: VolumeGroupActionStart Performs start action on a volume group **Type:** object - **source** (string (master|aux)) (required): Indicates the source of the action ("master"|"aux") ``` -------------------------------- ### GET /v1/virtual-serial-number/software-tiers Source: https://cloud.ibm.com/apidocs/power-cloud.json API endpoint for GET /v1/virtual-serial-number/software-tiers ```markdown ### Responses #### 200 - OK **SupportedSoftwareTierList** - Array of SupportedSoftwareTier #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/v1/virtual-serial-number/software-tiers" ``` ``` -------------------------------- ### POST /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone Source: https://cloud.ibm.com/apidocs/power-cloud.json Requires a minimum of two volumes. Requires a minimum of one volume to be in the `in-use` state. Requires a unique volumes clone name. Prepare action does the preparatory work for creating the snapshot volumes. >**Note**: If there is an existing prepare, user cannot trigger another prepare for the same set of volumes. Prepare should be followed by start and execute. If existing prepare does not have to be used then it should be first cancelled before the next prepare operation. ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required): Unique name within a cloud instance used to identify a volumes-clone request name can be used in replace of a volumesCloneID when used as a URL path parameter - **volumeIDs** (array (string)) (required): List of volumes to be cloned ### Responses #### 202 - Accepted **VolumesClone** - **action** (string): Current action performed for the volumes-clone request - **creationDate** (string (date-time)): Creation Date - **failureMessage** (string): Failure reason for a failed volumes-clone request - **lastUpdateDate** (string (date-time)): Last Update Date - **name** (string): Name assigned to a volumes-clone request - **percentComplete** (integer) (required): The percent completion for the current action - **status** (string): Current status of the volumes-clone request - **volumesCloneID** (string): ID assigned to a volumes-clone request #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 409 - Conflict **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "volumeIDs": [ "string" ] }' ``` ``` -------------------------------- ### GET /v1/virtual-serial-number Source: https://cloud.ibm.com/apidocs/power-cloud.json API endpoint for GET /v1/virtual-serial-number ```markdown ### Responses #### 200 - OK **VirtualSerialNumberList** - Array of VirtualSerialNumber #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/v1/virtual-serial-number" ``` ``` -------------------------------- ### POST /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/action Source: https://cloud.ibm.com/apidocs/power-cloud.json Corresponding actions are 'start', 'stop', 'reboot', 'immediate-shutdown', 'reset' ```markdown ### Request Body **Content-Type:** application/json - **action** (string (dhcp-ip-sync|dumprestart|hard-reboot|immediate-shutdown|reset-state|soft-reboot|start|stop)) (required): Name of the action to take; can be 'dhcp-ip-sync' (on-prem only), 'dumprestart', 'hard-reboot', 'immediate-shutdown', 'reset-state', 'soft-reboot', 'start', 'stop' ("dhcp-ip-sync"|"dumprestart"|"hard-reboot"|"immediate-shutdown"|"reset-state"|"soft-reboot"|"start"|"stop") ### Responses #### 200 - OK **Object** #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 409 - Conflict **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/action" \ -H "Content-Type: application/json" \ -d '{ "action": "dhcp-ip-sync" }' ``` ``` -------------------------------- ### POST /pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/onboarding Source: https://cloud.ibm.com/apidocs/power-cloud.json API endpoint for POST /pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/onboarding ```markdown ### Request Body **Content-Type:** application/json - **Volumes** (array (union)) (required) Array items: - **auxiliaryVolumes** (array (union)) (required) Array items: - **auxVolumeName** (string) (required): auxiliary volume name at storage host level - **name** (string): display name of auxVolumeName once onboarded,auxVolumeName will be set to display name if not provided. - **sourceCRN** (string) (required): CRN of source ServiceBroker instance from where auxiliary volumes need to be onboarded - **description** (string): Description of the volume onboarding operation - **userTags** (array (string)): List of user tags ### Responses #### 202 - Accepted **VolumeOnboardingCreateResponse** - **description** (string): Description of the volume onboarding operation - **id** (string): Indicates the volume onboarding operation id #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 409 - Conflict **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/onboarding" \ -H "Content-Type: application/json" \ -d '{ "Volumes": [ "value" ], "description": "string", "userTags": "value" }' ``` ``` -------------------------------- ### GET /v1/ssh-keys Source: https://cloud.ibm.com/apidocs/power-cloud.json API endpoint for GET /v1/ssh-keys ```markdown ### Responses #### 200 - OK **WorkspaceSSHKeys** - **sshKeys** (array (WorkspaceSSHKey)) (required): SSH Keys Array items: - **creationDate** (string (date-time)): Date/Time of sshkey creation - **description** (string): Description of the sshkey - **id** (string) (required): Unique id of ssh-key - **name** (string) (required): User defined name for the SSH key - **primaryWorkspace** (boolean) (required): Indicates if the current workspace owns the ssh key or not - **sshKey** (string) (required): SSH RSA key - **visibility** (string (account|workspace)): Visibility of the sshkey; workspace suggests ssh-key is only accessible in a workspace, account suggests ssh-key is accessible throughout an account ("account"|"workspace") #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/v1/ssh-keys" ``` ``` -------------------------------- ### GET /v1/routes/report Source: https://cloud.ibm.com/apidocs/power-cloud.json API endpoint for GET /v1/routes/report ```markdown ### Responses #### 200 - OK **RouteReport** - **routes** (array (RouteReportRoute)) (required): A report of routes in a workspace Array items: - **destination** (string) (required): The destination. The destination is a CIDR for the external route type. - **type** (string (external)) (required): The route type ("external") #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/v1/routes/report" ``` ``` -------------------------------- ### POST /pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groups/{volume_group_id}/action Source: https://cloud.ibm.com/apidocs/power-cloud.json Corresponding actions are 'start', 'stop', 'reset' ```markdown ### Request Body **Content-Type:** application/json - **reset** (object): Performs reset action on the volume group to update its status value - **status** (string (available)) (required): New status to be set for a volume group ("available") - **start** (object): Performs start action on a volume group - **source** (string (master|aux)) (required): Indicates the source of the action ("master"|"aux") - **stop** (object): Performs stop action on a volume group - **access** (boolean) (required): Indicates the access mode of aux volumes ### Responses #### 202 - Accepted **Object** #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 422 - Unprocessable Entity **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groups/{volume_group_id}/action" \ -H "Content-Type: application/json" \ -d '{ "reset": "value", "start": "value", "stop": "value" }' ``` ``` -------------------------------- ### GET /v1/routes Source: https://cloud.ibm.com/apidocs/power-cloud.json API endpoint for GET /v1/routes ```markdown ### Responses #### 200 - OK **Routes** - **routes** (array (Route)) (required): Routes Array items: - **action** (string (deliver)) (required): The route action ("deliver") - **advertise** (string (enable|disable)) (required): Indicates if the route is advertised externally of the workspace to PER and\or peer networks ("enable"|"disable") - **crn** (string) (required): The route's crn - **destination** (string) (required): The route destination - **destinationType** (string (ipv4-address)) (required): The destination type ("ipv4-address") - **enabled** (boolean) (required): Indicates if the route should be enabled in the fabric - **id** (string) (required): The unique route ID - **name** (string) (required): Name of the route - **nextHop** (string) (required): The next hop - **nextHopType** (string (ipv4-address)) (required): The next hop type ("ipv4-address") - **state** (string (defined|deployed|disabled|error|deploying|undeploying|deleting)) (required): The state of the route ("defined"|"deployed"|"disabled"|"error"|"deploying"|"undeploying"|"deleting") - **userTags** (array (string)): List of user tags #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/v1/routes" ``` ``` -------------------------------- ### POST /pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ike-policies Source: https://cloud.ibm.com/apidocs/power-cloud.json Add a new IKE Policy ```markdown ### Request Body **Content-Type:** application/json - **authentication** (string (sha-256|sha-384|sha1|none)): authentication of the IKE policy (example: "sha-256") ("sha-256"|"sha-384"|"sha1"|"none") - **dhGroup** (integer) (required): DH group of the IKE Policy (example: 2) ("1"|"2"|"5"|"14"|"19"|"20"|"24") - **encryption** (string (aes-256-cbc|aes-192-cbc|aes-128-cbc|aes-256-gcm|aes-128-gcm|3des-cbc)) (required): encryption of the IKE Policy (example: "aes-256-cbc") ("aes-256-cbc"|"aes-192-cbc"|"aes-128-cbc"|"aes-256-gcm"|"aes-128-gcm"|"3des-cbc") - **keyLifetime** (integer) (required): Policy key lifetime (example: 28800) - **name** (string) (required): name of the IKE Policy (example: "ikePolicy1") - **presharedKey** (string) (required): Preshared key used in this IKE Policy (length of preshared key must be even) - **version** (integer) (required): version of the IKE Policy (example: 2) ("1"|"2") ### Responses #### 200 - OK **IKEPolicy** - **authentication** (string (sha-256|sha-384|sha1|none)) (required): authentication of the IKE policy (example: "sha-256") ("sha-256"|"sha-384"|"sha1"|"none") - **dhGroup** (integer) (required): DH group of the IKE Policy (example: 2) ("1"|"2"|"5"|"14"|"19"|"20"|"24") - **encryption** (string (aes-256-cbc|aes-192-cbc|aes-128-cbc|aes-256-gcm|aes-128-gcm|3des-cbc)) (required): encryption of the IKE Policy (example: "aes-256-cbc") ("aes-256-cbc"|"aes-192-cbc"|"aes-128-cbc"|"aes-256-gcm"|"aes-128-gcm"|"3des-cbc") - **id** (string) (required): unique identifier of the IKE Policy object (example: "7edc8988-eb18-4b5c-a594-0d73d8254463") - **keyLifetime** (integer) (required): Policy key lifetime (example: 28800) - **name** (string) (required): name of the IKE Policy (example: "ikePolicy1") - **version** (integer) (required): version of the IKE Policy (example: 2) ("1"|"2") #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 409 - Conflict **Error** - **description** (string) - **error** (string) #### 422 - Unprocessable Entity **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ike-policies" \ -H "Content-Type: application/json" \ -d '{ "authentication": "value", "dhGroup": 2, "encryption": "aes-256-cbc", "keyLifetime": "value", "name": "ikePolicy1", "presharedKey": "string", "version": 2 }' ``` ``` -------------------------------- ### GET /v1/network-peers/interfaces Source: https://cloud.ibm.com/apidocs/power-cloud.json API endpoint for GET /v1/network-peers/interfaces ```markdown ### Responses #### 200 - OK **PeerInterfaces** - Array of PeerInterface #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 409 - Conflict **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/v1/network-peers/interfaces" ``` ``` -------------------------------- ### GET /v1/network-peers Source: https://cloud.ibm.com/apidocs/power-cloud.json API endpoint for GET /v1/network-peers ```markdown ### Responses #### 200 - OK **NetworkPeers** - **networkPeers** (array (NetworkPeer)) (required): List of network peers Array items: - **creationDate** (string) (required): time stamp for create network peer - **customerASN** (integer) (required): ASN number at customer network side (example: 64512) - **customerCidr** (string) (required): IP address used for configuring customer network interface with network subnet mask. customerCidr and ibmCidr must have matching network and subnet mask values. (example: "192.168.91.2/30") - **defaultExportRouteFilter** (string (allow|deny)) (required): default action for export route filter * allow: allow * deny: deny (example: "allow") ("allow"|"deny") - **defaultImportRouteFilter** (string (allow|deny)) (required): default action for import route filter * allow: allow * deny: deny (example: "allow") ("allow"|"deny") - **error** (string) (required): error description - **exportRouteFilters** (array (RouteFilter)) (required): List of export route filters Array items: - **GE** (integer): The minimum matching length of the prefix-set(1 ≤ value ≤ 32 value ≤ GE) (example: 25) - **LE** (integer): The maximum matching length of the prefix-set( 1 ≤ value ≤ 32 value >= GE) (example: 30) - **action** (string (allow|deny)) (required): action of the filter * allow: allow * deny: deny ("allow"|"deny") - **creationDate** (string) (required): time stamp for create route filter - **direction** (string (import|export)) (required): direction of the filter * import - import the routes * export - export the routes ("import"|"export") - **error** (string) (required): error description - **index** (integer) (required): priority or order of the filter (example: 10) - **prefix** (string) (required): IP prefix representing an address and mask length of the prefix-set (example: "192.168.91.0/24") - **routeFilterID** (string) (required): route filter ID (example: "031ab7da-bca6-493f-ac55-1a2a26f19160") - **state** (string (active|configuring|removing|error|updating)) (required): status of the route filter (example: "active") ("active"|"configuring"|"removing"|"error"|"updating") - **ibmASN** (integer) (required): ASN number at IBM PowerVS side (example: 64512) - **ibmCidr** (string) (required): IP address used for configuring IBM network interface with network subnet mask. customerCidr and ibmCidr must have matching network and subnet mask values. (example: "192.168.91.1/30") - **id** (string) (required): network peer id (example: "031ab7da-bca6-493f-ac55-1a2a26f19160") - **importRouteFilters** (array (RouteFilter)) (required): List of import route filters Array items: - **name** (string) (required): user defined name (example: "newPeerNetwork") - **peerInterfaceID** (string) (required): peer interface id. use API '/v1/network-peers/interfaces' to get a list of valid peer interface id (example: "031ab7da-bca6-493f-ac55-1a2a26f19160") - **state** (string (active|configuring|removing|error|updating)) (required): status of the network peer (example: "active") ("active"|"configuring"|"removing"|"error"|"updating") - **type** (string (dcnetwork_bgp)) (required): type of the peer network * dcnetwork_bgp: broader gateway protocol is used to share routes between two autonomous network (example: "dcnetwork_bgp") ("dcnetwork_bgp") - **updatedDate** (string) (required): time stamp for update network peer - **vlan** (integer) (required): A vlan configured at the customer network. (example: 2000) #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 409 - Conflict **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/v1/network-peers" ``` ``` -------------------------------- ### POST /pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}/execute Source: https://cloud.ibm.com/apidocs/power-cloud.json Execute action creates the cloned volumes using the volume snapshots. ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required): Base name of the new cloned volume(s). Cloned Volume names will be prefixed with 'clone-' and suffixed with '-#####' (where ##### is a 5 digit random number) If multiple volumes cloned they will be further suffixed with an incremental number starting with 1. Example volume names using name="volume-abcdef" single volume clone will be named "clone-volume-abcdef-83081" multi volume clone will be named "clone-volume-abcdef-73721-1", "clone-volume-abcdef-73721-2", ... For multiple volume clone, the provided name will be truncated to the first 20 characters. - **rollbackPrepare** (boolean): default False, Execute failure rolls back clone activity but leaves prepared snapshot True, Execute failure rolls back clone activity and removes the prepared snapshot - **targetReplicationEnabled** (boolean): Cloned volume will be non replication enabled if it is set to false. By default, the replication property of the source volume will be used to determine the replication property of the cloned target volume. - **targetStorageTier** (string): Target storage tier for the cloned volumes. Use to clone a set of volumes from one storage tier to a different storage tier. Cloned volumes must remain in the same storage pool as the source volumes. - **userTags** (array (string)): List of user tags ### Responses #### 202 - Accepted **VolumesClone** - **action** (string): Current action performed for the volumes-clone request - **creationDate** (string (date-time)): Creation Date - **failureMessage** (string): Failure reason for a failed volumes-clone request - **lastUpdateDate** (string (date-time)): Last Update Date - **name** (string): Name assigned to a volumes-clone request - **percentComplete** (integer) (required): The percent completion for the current action - **status** (string): Current status of the volumes-clone request - **volumesCloneID** (string): ID assigned to a volumes-clone request #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}/execute" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "rollbackPrepare": "true", "targetReplicationEnabled": "true", "targetStorageTier": "string", "userTags": "value" }' ``` ``` -------------------------------- ### PUT /pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id}/setboot Source: https://cloud.ibm.com/apidocs/power-cloud.json Set the PVMInstance volume as the boot volume. >**Note**: If a non-bootable volume is provided, it will be converted to a bootable volume and then attached. ```markdown ### Responses #### 200 - OK **Object** #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 409 - Conflict **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X PUT "https://api.example.com/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id}/setboot" ``` ``` -------------------------------- ### GET /v1/network-address-groups Source: https://cloud.ibm.com/apidocs/power-cloud.json API endpoint for GET /v1/network-address-groups ```markdown ### Responses #### 200 - OK **NetworkAddressGroups** - **networkAddressGroups** (array (NetworkAddressGroup)): list of Network Address Groups Array items: - **crn** (string) (required): The Network Address Group's crn - **id** (string) (required): The id of the Network Address Group - **members** (array (NetworkAddressGroupMember)): The list of IP addresses in CIDR notation (for example 192.168.66.2/32) in the Network Address Group Array items: - **cidr** (string) (required): The IP addresses in CIDR notation for example 192.168.1.5/32 - **id** (string) (required): The id of the Network Address Group member IP addresses - **name** (string) (required): The name of the Network Address Group - **userTags** (array (string)): List of user tags #### 400 - Bad Request **Error** - **description** (string) - **error** (string) #### 401 - Unauthorized **Error** - **description** (string) - **error** (string) #### 403 - Forbidden **Error** - **description** (string) - **error** (string) #### 404 - Not Found **Error** - **description** (string) - **error** (string) #### 500 - Internal Server Error **Error** - **description** (string) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/v1/network-address-groups" ``` ```